Get one status
get
/fscmRestApi/resources/11.13.18.05/materialStatuses/{MaterialStatusId}
Request
Path Parameters
-
MaterialStatusId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : materialStatuses-item-response
Type:
Show Source
object-
AllowReservations: integer
(int32)
Read Only:
trueDetermines whether or not the material is eligible for a hard reservation. Contains one of the following values: 1 or 2. If 1, then the material is eligible for a hard reservation. If 2, then the material isn't eligible for a hard reservation. There's no default value for this attribute. -
Description: string
Read Only:
trueMaximum Length:240Description of the material status. -
EnabledFlag: boolean
Read Only:
trueContains one of the following values: true or false. If true, then material status is active. If false, then material status isn't active. This attribute doesn't have a default value. -
IncludeInATP: integer
(int32)
Read Only:
trueAbbreviation that identifies the inventory that's available to promise. Contains one of the following values: 1 or 2. If 1, then the inventory is available to promise. If 2, then the inventory isn't available to promise. There's no default value for this attribute. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LocatorApplicableFlag: boolean
Read Only:
trueContains one of the following values: true or false. If true, then material status can be assigned to a locator. If false, then material status can't be assigned to a locator. This attribute doesn't have a default value. -
LotApplicableFlag: boolean
Read Only:
trueContains one of the following values: true or false. If true, then material status can be assigned to a lot. If false, then material status can't be assigned to a lot. This attribute doesn't have a default value. -
MaterialStatusId: integer
(int64)
Read Only:
trueValue that uniquely identifies the material status. -
MaterialStatusName: string
Read Only:
trueMaximum Length:80Name of the material status. -
Nettable: integer
(int32)
Read Only:
trueAbbreviation that indicates whether or not the inventory is nettable. Contains one of the following values: 1 or 2. If 1, then the inventory is nettable. If 2, then the inventory isn't nettable. There's no default value for this attribute. -
SerialApplicableFlag: boolean
Read Only:
trueContains one of the following values: true or false. If true, then material status can be assigned to a serial. If false, then material status can't be assigned to a serial. This attribute doesn't have a default value. -
SubinventoryApplicableFlag: boolean
Read Only:
trueContains one of the following values: true or false. If true, then material status can be assigned to a subinventory. If false, then material status can't be assigned to a subinventory. This attribute doesn't have a default value. -
transactionControls: array
Status Transaction Controls
Title:
Status Transaction ControlsThe status of the transaction types.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Status Transaction Controls
Type:
arrayTitle:
Status Transaction ControlsThe status of the transaction types.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : materialStatuses-transactionControls-item-response
Type:
Show Source
object-
AvailabilityType: integer
(int32)
Read Only:
trueContains values to show if the availability type is allowed or not. 1 means it's allowed. 2 means it's not allowed. -
AvailabilityTypeValue: string
Read Only:
trueMaximum Length:255Value that uniquely identifies the availability type value. -
InventoryATPCode: integer
(int32)
Read Only:
trueContains values to show if the inventoryATP code is allowed. 1 means it's allowed. 2 means it's not allowed. -
InventoryATPCodeValue: string
Read Only:
trueMaximum Length:255Value that uniquely identifies the inventoryAtp code value. -
IsAllowed: integer
(int32)
Read Only:
trueContains values to show if the transaction type is allowed or not. 1 means it's allowed. 2 means it's not allowed. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ReservableType: integer
(int32)
Read Only:
trueContains values to show if the reservable type code is allowed. 1 means it's allowed. 2 means it's not allowed. -
ReservableTypeValue: string
Read Only:
trueMaximum Length:255Value that uniquely identifies the reservable type value. -
StatusId: integer
(int64)
Read Only:
trueValue that uniquely identifies the status of the transaction type. -
TransactionTypeId: integer
(int64)
Read Only:
trueValue that uniquely identifies the transaction type. -
TransactionTypeName: string
Read Only:
trueMaximum Length:80Value that uniquely identifies the transaction type name.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- transactionControls
-
Operation: /fscmRestApi/resources/11.13.18.05/materialStatuses/{MaterialStatusId}/child/transactionControlsParameters:
- MaterialStatusId:
$request.path.MaterialStatusId
The status of the transaction types. - MaterialStatusId:
Examples
This example describes how to get one material status.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/materialStatuses?onlyData=true&MaterialStatusId=value"
For example, the following command gets material status -3:
curl -u username:password "https://servername/fscmRestApi/resources/version/materialStatuses?onlyData=true&MaterialStatusId=-3"
Example Response Body
The following example includes the contents of the response body in JSON format:
"{
"items" : [ {
"MaterialStatusId" : -3,
"MaterialStatusName" : "Raw Material",
"Description" : "Unprocessed or raw material",
"IncludeInATP" : 2,
"AllowReservations" : 2,
"Nettable" : 1
}, {
"count" : 1,
"hasMore" : false,
"limit" : 25,
"offset" : 0,
"links" : [ {
"rel" : "self",
"href" : "https://servername/fscmRestApi/resources/version/materialStatuses",
"name" : "materialStatuses",
"kind" : "collection"
} ]
}"